## net.percederberg.mib.type
Class StringType

    java.lang.Object
      |
      +--net.percederberg.mib.type.Type
            |
            +--net.percederberg.mib.type.StringType

public class StringType
extends Type

A class for handling string type information.

Author:
  Per Cederberg, per@percederberg.net

Constructor Summary
`StringType()` Creates a new string type with unrestricted length.
`StringType(SizeConstraint size)` Creates a new string type with length restrictions.

Method Summary
`boolean` `equals(java.lang.Object obj)` Checks if this type is equals to some other object.
`java.lang.String` `toString()` Returns a string description of this type.
`void` `transferType(TypeConverter converter)` Transfers the type information from this type to a type converter object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringType

    public StringType()

  Creates a new string type with unrestricted length.

### StringType

    public StringType(SizeConstraint size)

  Creates a new string type with length restrictions.
  Parameters:
    `size` - the size constraints

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Checks if this type is equals to some other object. It will only be reported equal to other string types with the same constraints.
  Overrides:
    `equals` in class `Type`
  Parameters:
    `obj` - an object
  Returns:
    true if the objects are equal, or false otherwise

### toString

    public java.lang.String toString()

  Returns a string description of this type.
  Overrides:
    `toString` in class `Type`
  Returns:
    a string description of the type

### transferType

    public void transferType(TypeConverter converter)

  Transfers the type information from this type to a type converter object. The calling conventions declared in the TypeConverter class are followed.
  Overrides:
    `transferType` in class `Type`
  Parameters:
    `converter` - a type converter